<?php
/**
 * Tattoopress loading
 *
 * @package WordPress
 * @subpackage Tattoopress
 * @version 3.3.4
 */

defined( 'ABSPATH' ) || exit;

/**
 * Loading animation mods
 *
 * @param array $mods Array of mods.
 * @return array
 */
function tattoopress_set_loading_mods( $mods ) {

	$mods['loading'] = array(

		'id'      => 'loading',
		'title'   => esc_html__( 'Loading', 'tattoopress' ),
		'icon'    => 'update',
		'options' => array(

			array(
				'label'   => esc_html__( 'Loading Animation Type', 'tattoopress' ),
				'id'      => 'loading_animation_type',
				'type'    => 'select',
				'choices' => array(
					'spinner' => esc_html__( 'Spinner', 'tattoopress' ),
					'none'    => esc_html__( 'None', 'tattoopress' ),
				),
			),
		),
	);
	return $mods;
}
add_filter( 'tattoopress_customizer_mods', 'tattoopress_set_loading_mods' );
